# Class JacocoCoverageVerification

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.testing.jacoco.tasks.JacocoBase
org.gradle.testing.jacoco.tasks.JacocoReportBase
org.gradle.testing.jacoco.tasks.JacocoCoverageVerification

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@CacheableTask public abstract class JacocoCoverageVerification extends JacocoReportBase
Task for verifying code coverage metrics. Fails the task if violations are detected based on specified rules.

Requires JaCoCo version >= 0.6.3.

Since:
  3.4

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JacocoCoverageVerification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `check()`
  `protected File`
  `getDummyOutputFile()`
  For internal use only.
  `JacocoViolationRulesContainer`
  `getViolationRules()`
  Returns the violation rules set for this task.
  `protected abstract WorkerExecutor`
  `getWorkerExecutor()`
  `JacocoViolationRulesContainer`
  `violationRules(Action<? super JacocoViolationRulesContainer> configureAction)`
  Configures the violation rules for this task.

  ### Methods inherited from class JacocoReportBase

  `additionalClassDirs, additionalClassDirs, additionalSourceDirs, additionalSourceDirs, executionData, executionData, executionData, getAdditionalClassDirs, getAdditionalSourceDirs, getAllClassDirs, getAllSourceDirs, getClassDirectories, getExecutionData, getInstantiator, getObjectFactory, getSourceDirectories, getSourceEncoding, sourceSets`

  ### Methods inherited from class JacocoBase

  `getJacocoClasspath, setJacocoClasspath`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### JacocoCoverageVerification

    public JacocoCoverageVerification()

- ## Method Details

  - ### getViolationRules

    public JacocoViolationRulesContainer getViolationRules()
    Returns the violation rules set for this task.
    Returns:
      Violation rules container

  - ### getDummyOutputFile

    @OutputFile protected File getDummyOutputFile()
    For internal use only. This property exists, because only tasks with outputs can be up-to-date and cached.

  - ### violationRules

    public JacocoViolationRulesContainer violationRules(Action<? super JacocoViolationRulesContainer> configureAction)
    Configures the violation rules for this task.

  - ### getWorkerExecutor

    @Inject protected abstract WorkerExecutor getWorkerExecutor()

  - ### check

    public void check() throws IOException
    Throws:
      `IOException`